couplingmatrix1A = -TakeMatrix[0, {1, 7}, {6, 8}] . 
       Inverse[TakeMatrix[0, {7, 7}, {8, 8}]] . TakeMatrix[0, {7, 9}, 
        {8, 14}] + TakeMatrix[0, {1, 9}, {6, 14}]
 
couplingmatrix1A /: couplingmatrix1A::usage = "couplingmatrix1A is a matrix \
giving the coupling of displacements in the parameters into the system for \
the stage 1A problem with elasticity from wire bending."
 
TakeMatrix[(mat_)?MatrixQ, start:{startR_Integer, startC_Integer}, 
     end:{endR_Integer, endC_Integer}] := 
    Take[mat, {startR, endR}, {startC, endC}] /; 
     And @@ Thread[Dimensions[mat] >= start] && 
      And @@ Thread[Dimensions[mat] >= end]
